Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.progress
Class WorkEvent

    java.lang.Object
      java.util.EventObject
          org.crosswire.common.progress.WorkEvent

All Implemented Interfaces:
  Serializable

    public class WorkEvent

extends EventObject

A WorkEvent happens whenever a MutableBook makes some progress in generating a new Bible.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private boolean` | `predicted` Is this a predicted or actual progress report?
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WorkEvent(Job source)` Initialize a WorkEvent
`WorkEvent(Job source, boolean predicted)` Initialize a WorkEvent

Method Summary
`Job` | `getJob()` Accessor for the Job
`boolean` | `isPredicted()` Is this a predicted or actual progress report?

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### predicted

    private boolean predicted

  Is this a predicted or actual progress report?

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### WorkEvent

    public WorkEvent(Job source,
                     boolean predicted)

  Initialize a WorkEvent

### WorkEvent

    public WorkEvent(Job source)

  Initialize a WorkEvent

Method Detail

### getJob

    public Job getJob()

  Accessor for the Job

### isPredicted

    public boolean isPredicted()

  Is this a predicted or actual progress report?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD